Skip to navigation

Create Machine

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

factorystringRequired

Headers

X-Islo-Api-VersionstringRequired

Request

This endpoint expects an object.
namestringRequiredformat: "^[a-z][a-z0-9-]{0,40}$"
capabilitieslist of enumsOptional
Allowed values:
disk_gbintegerOptional>=1Defaults to 10
environmentstring or nullOptional
gateway_profilestring or nullOptional
levelenumOptionalDefaults to source
Allowed values:
lifecycleobject or nullOptional
memory_mbintegerOptional>=1Defaults to 2048
reposlist of objectsOptional
scheduleobjectOptional
vcpusintegerOptional>=1Defaults to 2

Response

Successful Response
capabilitieslist of enums
Allowed values:
created_atdatetime
disk_gbinteger>=1
environmentstring or null
gateway_profilestring or null
lifecycleobject or null
memory_mbinteger>=1
namestring
reposlist of objects
scheduleobject
statusenum
Allowed values:
updated_atdatetime
vcpusinteger>=1
last_buildobject or nullOptional
levelenumOptionalDefaults to verify
Allowed values:
version_numberinteger or nullOptional

Errors

422
Unprocessable Entity Error